Bug 441367 - Agent services: "Search Certificates" search ignores some fields from search form
Agent services: "Search Certificates" search ignores some fields from search ...
Status: ON_QA
Product: Dogtag Certificate System
Classification: Community
Component: Certificate Manager (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: Christina Fu
Ben Levenson
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-07 14:56 EDT by David Stutzman
Modified: 2015-01-04 19:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Stutzman 2008-04-07 14:56:42 EDT
Description of problem:
The "Search Certificates" form of the CA's Agent Services website appears to
ignore some of the search parameters.

How reproducible:
Always

Steps to Reproduce:
1. Go to Agent Services and click on "Search for Certificates"
2. In the "Issuing Information" section, check the box for "Show certificates
issued by" and type in an agent's username
3. Scroll down and click find
  
Actual results:
the first 10 certificates issued by the CA are shown, regardless of issuer

Expected results:
*only* certificates issued by the agent typed in above

Additional info:
Snipped from CA's debug log, for some reason the correct search filter is
dropped and substituted with a wildcard which produces the "actual results" output:
[07/Apr/2008:14:47:32][http-9443-Processor24]: useClientFilter=false
[07/Apr/2008:14:47:32][http-9443-Processor24]: client queryCertFilter =
(&(certIssuedBy=dstutzman))
[07/Apr/2008:14:47:32][http-9443-Processor24]: queryCertFilter = (&(certIssuedBy=*))
[07/Apr/2008:14:47:32][http-9443-Processor24]: Resetting timelimit from -1 to 30
[07/Apr/2008:14:47:32][http-9443-Processor24]: Start searching ...
filter=(&(certIssuedBy=*)) maxreturns=10 timelimit=30
[07/Apr/2008:14:47:32][http-9443-Processor24]: getConn: mNumConns now 1
[07/Apr/2008:14:47:32][http-9443-Processor24]: searchCertificateswith time limit
filter (&(certIssuedBy=*))
Comment 3 Andrew Wnuk 2008-11-17 18:58:26 EST
Attachment (id=320458)
https://bugzilla.redhat.com/attachment.cgi?id=320458
Comment 4 Chandrasekar Kannan 2009-06-08 16:16:31 EDT
with current builds, I'm unable to verify this bug. All certs are always 
approved by admin. file a separate bug for that ... 

https://bugzilla.redhat.com/show_bug.cgi?id=504697

And sure enough for this bug, Search Certificates page do not show any when searching for certificates issued by 'ckannan'.
Comment 5 Andrew Wnuk 2009-06-13 18:45:48 EDT
works for me

Note You need to log in before you can comment on or make changes to this bug.